## gate.gui
Class DocumentEditor.Range

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.Range

All Implemented Interfaces:
  Comparable

Enclosing class:
  DocumentEditor

class DocumentEditor.Range
extends Object
implements Comparable

Describes a range in the `DocumentEditor.data` structure. A range is a bunch of annotations of the same type belonging to the same annotation set that are contiguous in the `DocumentEditor.data` structure.

Field Summary
`(package private) int` `end`
`(package private) String` `setName`
`(package private) int` `start`
`(package private) String` `type`

Constructor Summary
`DocumentEditor.Range(String setName, String type, int start, int end)`

Method Summary
`int` `compareTo(Object other)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### setName

    String setName

### type

    String type

### start

    int start

### end

    int end

Constructor Detail

### DocumentEditor.Range

    public DocumentEditor.Range(String setName,
                                String type,
                                int start,
                                int end)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`